<pre class="url-structure">
 ┌──────────────────── <i class="p">protocole</i>
 │      ┌───────────── <i class="s">serveur</i>
 │      │           ┌─ <i class="r2">nom local</i>
 │      │           │
─┴──   ─┴───────── ─┴───────────╌╌
<b><i class="p">http</i>://<i class="s">champin.net</i>/<i class="r1">a/b/c</i>?<i class="r2">d=1&e=2</i>#<i class="r3">f</i></b>
                   ───┬─ ─────┬─ ┬
                      │       │  │
<i class="r1">partie hiérarchique</i>   │       │  │
            <i class="r2">(chemin)</i> ─┘       │  │
 <i class="r2">partie associative</i>           │  │
        <i class="r2">(paramètres)</i> ─────────┘  │
     <i class="r3">partie interne</i>              │
          <i class="r3">(fragment)</i> ────────────┘
</pre>
